/*
 * Copyright 2017-present Open Networking Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.onosproject.fpcagent;

import com.fasterxml.jackson.core.JsonProcessingException;
import org.apache.commons.lang.exception.ExceptionUtils;
import org.onosproject.core.ApplicationId;
import org.onosproject.fpcagent.util.ConfigHelper;
import org.onosproject.net.config.Config;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Optional;

public class FpcConfig extends Config<ApplicationId> {
    private final Logger log = LoggerFactory.getLogger(getClass());

    public Optional<ConfigHelper> getConfig() {
        try {
            return Optional.of(mapper.treeToValue(object, ConfigHelper.class));
        } catch (JsonProcessingException e) {
            log.error(ExceptionUtils.getFullStackTrace(e));
        }
        return Optional.empty();
    }
}

